RAR2TARCAT(1)

NAME
rar2tarcat - convert a RAR archive to a TAR archive and write it to stdout

SYNOPSIS
rar2tarcat [-h(elp)] rarfile

DESCRIPTION
rar2tarcat converts a single RAR archive to TAR archive format. Notably, it does so without extracting the rarfile contents to disk.

OPTIONS

-h  Print help and quit.

EXAMPLES

Convert a rarfile to a tar file directly:
    rar2tarcat file01.rar > file01.tar

Convert a rarfile to a tar file while compressing it:
    rar2tarcat file01.rar | gzip -c -9 > file01.tar.gz
    rar2tarcat file01.rar | xz -c > file01.tar.xz

CAVEATS
The rar2tarcat utility automatically converts between RAR timestamps (which are based on local time) and TAR timestamps (which are based on UTC time) so that files extracted from the newly-created TAR archive will still bear the correct timestamp. However, if the conversion is performed on a machine running under a different timezone than where the rarfile was created, the converted timestamps may be erroneous. If this causes problems, the local timezone should be temporarily be set to match that where the original rarfile was created to resolve the issue.

COPYRIGHT
Copyright (C) 2015 by D. Gloger. Modifications copyright (C) 2025-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.